Can Team City 3.1.1 work with SVN 1.5?

Hi all,

SVN 1.5 was released and I want to upgrade my SVN server. But I'm curious to know can Team City 3.1.1 work with SVN 1.5?

3 comments

We didn't try this yet. You can setup a test 1.5 repository and create TeamCity project which will work with this repository.
Tell us if this works :)

Kind regards,
KIR

0

Hi!

AFAIK, Subversion 1.5 server is fully compatible with 1.4 clients, so all 1.4-version functionality of TeamCity server- or agent-side should work fine.

What probably won't work are
- using 1.5 svn client in your build script while TeamCity's agent-side checkout is used,
- using 1.5 client on the server and using the same working area (settings directory) in TeamCity.

Also, if you want to use remote run features, do not upgrade your client working copy (the one you work with in your IDE) to 1.5 format. That should probably start to work in IDEA and Eclipse when they get 1.5 support, but Visual Studio plugin will need testing and fixing from our side.

--
Best regards,

Yegor Yarko
Project Manager
JetBrains, Inc
http://www.jetbrains.com
"Develop with pleasure!"

0

Thanks for the information, Yegor :)

0

Please sign in to leave a comment.